###--- >>> `library' <<<----- Loading and Listing of Packages

	## alias	 help(library)
	## alias	 help(provide)
	## alias	 help(require)
	## alias	 help(RLIBS)
	## alias	 help(.Autoloaded)
	## alias	 help(.First.lib)
	## alias	 help(.Library)
	## alias	 help(.Provided)
	## alias	 help(.packages)
	## alias	 help(.lib.loc)

##___ Examples ___:

( .packages() )	    	    # maybe just "base"
.packages(all = TRUE)       # return all available as char.vector
library()		    # list all available packages
library(lib = .Library)	    # list all packages in the default library
library(help = eda)	    # documentation on package "eda"
library(eda)		    # load package "eda"
require(eda)		    # the same
( .packages() )             # "eda", too
require(nonexistent)	    # FALSE
## Suppose the a package needs to call a shared library named "foo.EXT",
## where "EXT" is the system-specific extension.  Then you should use
.First.lib <- function(lib, pkg) {
  library.dynam("foo", pkg, lib)
}

## Keywords: 'data'.


